<?php
/**
 * ChinaDivision WooCommerce Uninstall
 *
 * Uninstalling ChinaDivision WooCommerce deletes table data.
 *
 * @version 2.1
 */


defined( 'WP_UNINSTALL_PLUGIN' ) || exit;

require_once 'chinadivision/chinadivision-common-function.php';

$api = (new CD_WC_Rest_Api());

// Disabled all ChinaDivision webhooks
$webhooks = $api->getWebhooks(['search' => 'chinadivision']);
if (!empty($webhooks)) {
    $update = [];
    foreach ($webhooks as $webhook) {
        if (stripos($webhook['delivery_url'], 'chinadivision-woocommerce') !== false) {
            $update[] = [
                'id' => $webhook['id'],
                'status' => 'disabled',
            ];
        }
    }
    if (!empty($update)) {
        $api->batchWebhooks(['update' => $update]);
    }
}

wp_cache_flush();
